| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
PUSH_BUTTON_STATUS_s Struct Reference

`#include <push_button/drivers/drv_push_button.h>`

Collaboration diagram for PUSH_BUTTON_STATUS_s:

## Data Fields
union {
volatile uint16_t value
| Status word. More...
}; |
volatile bool | sw_event:1
| Bit 0: Event bit indicating a state has changed (cleared automatically) More...
volatile | unsigned:1
| Bit 1: (reserved) More...
volatile bool | long_press:1
| Bit 13: Indicates if switch has been pressed for a longer time. More...
volatile bool | pressed:1
| Bit 14: Indicates if the button is pressed or not. More...
volatile bool | enabled:1
| Bit 15: Enables/disables the Switch button object. More...

## Detailed Description

Definition at line 70 of file drv_push_button.h.

## Field Documentation

## ◆ @379

union { ... }

## ◆ enabled

volatile bool enabled

Bit 15: Enables/disables the Switch button object.

Definition at line 89 of file drv_push_button.h.

## ◆ long_press

volatile bool long_press

Bit 13: Indicates if switch has been pressed for a longer time.

Definition at line 87 of file drv_push_button.h.

## ◆ pressed

volatile bool pressed

Bit 14: Indicates if the button is pressed or not.

Definition at line 88 of file drv_push_button.h.

## ◆ sw_event

volatile bool sw_event

Bit 0: Event bit indicating a state has changed (cleared automatically)

Definition at line 74 of file drv_push_button.h.

## ◆ unsigned

volatile unsigned

Bit 1: (reserved)

Bit 12: (reserved)

Bit 11: (reserved)

Bit 10: (reserved)

Bit 9: (reserved)

Bit 8: (reserved)

Bit 7: (reserved)

Bit 6: (reserved)

Bit 5: (reserved)

Bit 4: (reserved)

Bit 3: (reserved)

Bit 2: (reserved)

Definition at line 75 of file drv_push_button.h.

## ◆ value

volatile uint16_t value

Status word.

Definition at line 91 of file drv_push_button.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/push_button/drivers/drv_push_button.h